xine-lib: xine-lib-1.2.13/src/video_dec/libmpeg2new/include/alpha_asm.h File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions
alpha_asm.h File Reference
`#include <inttypes.h>`

Go to the source code of this file.

## Macros
#define | GNUC_PREREQ(maj, min) 0
#define | AMASK_BWX (1 << 0)
#define | AMASK_FIX (1 << 1)
#define | AMASK_CIX (1 << 2)
#define | AMASK_MVI (1 << 8)
#define | HAVE_BWX() (amask(AMASK_BWX) == 0)
#define | HAVE_FIX() (amask(AMASK_FIX) == 0)
#define | HAVE_MVI() (amask(AMASK_MVI) == 0)
#define | HAVE_CIX() (amask(AMASK_CIX) == 0)
#define | ldq(p) (*(const uint64_t *) (p))
#define | ldl(p) (*(const int32_t *) (p))
#define | stl(l, p) do { *(uint32_t *) (p) = (l); } while (0)
#define | stq(l, p) do { *(uint64_t *) (p) = (l); } while (0)
#define | sextw(x) ((int16_t) (x))

## Functions
static uint64_t | BYTE_VEC (uint64_t x)
static uint64_t | WORD_VEC (uint64_t x)

## Macro Definition Documentation

## ◆ AMASK_BWX

#define AMASK_BWX (1 << 0)

## ◆ AMASK_CIX

#define AMASK_CIX (1 << 2)

## ◆ AMASK_FIX

#define AMASK_FIX (1 << 1)

## ◆ AMASK_MVI

#define AMASK_MVI (1 << 8)

## ◆ GNUC_PREREQ

#define GNUC_PREREQ | ( |  | maj,
|  |  | min ) 0

## ◆ HAVE_BWX

#define HAVE_BWX | ( |  | ) | (amask(AMASK_BWX) == 0)

## ◆ HAVE_CIX

#define HAVE_CIX | ( |  | ) | (amask(AMASK_CIX) == 0)

## ◆ HAVE_FIX

#define HAVE_FIX | ( |  | ) | (amask(AMASK_FIX) == 0)

## ◆ HAVE_MVI

#define HAVE_MVI | ( |  | ) | (amask(AMASK_MVI) == 0)

## ◆ ldl

#define ldl | ( |  | p | ) | (*(const int32_t *) (p))

## ◆ ldq

#define ldq | ( |  | p | ) | (*(const uint64_t *) (p))

## ◆ sextw

#define sextw | ( |  | x | ) | ((int16_t) (x))

## ◆ stl

#define stl | ( |  | l,
|  |  | p ) do { *(uint32_t *) (p) = (l); } while (0)

## ◆ stq

#define stq | ( |  | l,
|  |  | p ) do { *(uint64_t *) (p) = (l); } while (0)

## Function Documentation

## ◆ BYTE_VEC()

static uint64_t BYTE_VEC | ( | uint64_t | x | ) |
| inlinestatic

## ◆ WORD_VEC()

static uint64_t WORD_VEC | ( | uint64_t | x | ) |
| inlinestatic